nifi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Witt <joe.w...@gmail.com>
Subject Re: Java 10
Date Thu, 07 Jun 2018 14:52:59 GMT
All,

There is work on-going to allow NiFi to:

A) Run on Java 9, 10, and beyond.
B) Compile on Java 9, 10, and beyond.
C) Code leveraging Java 9, 10, and beyond capabilities.

We can make things in category A happen anytime and these should be
top priority.
We can make things happen in category B happen and they should be
lower priority than category A.
We can make things in Category C be supported in the next major NiFi
release (ie NiFi 2.x).

No PR can accept Category C things until then.

Thanks
Joe

On Thu, Jun 7, 2018 at 10:50 AM, Mike Thomsen <mikerthomsen@gmail.com> wrote:
> I would say that's a safe assumption. Given the newly aggressive release
> cadence of Java, I would also caution you to be careful because a lot of
> the transitive dependencies might suddenly break between releases.
>
> On Thu, Jun 7, 2018 at 10:38 AM Jon Logan <jmlogan@buffalo.edu> wrote:
>
>> Will any PRs with Java 9 features be rejected until then? (ie. preserving
>> Java-8 compatibility) Is there a plan for supporting multiple Java
>> versions?
>>
>> On Thu, Jun 7, 2018 at 10:18 AM, Mike Thomsen <mikerthomsen@gmail.com>
>> wrote:
>>
>> > Once that is done, it should run on Java 10. However, under the new
>> Oracle
>> > version rules Java 10 is a short term iteration. Java 11 will probably be
>> > the next version officially supported by NiFi because it's supposed to be
>> > Java's next LTS release.
>> >
>> > Java 10 features like the var key will also be rejected in PRs until that
>> > point.
>> >
>> > On Thu, Jun 7, 2018 at 9:48 AM Otto Fowler <ottobackwards@gmail.com>
>> > wrote:
>> >
>> > > You can track progress here:
>> > > https://issues.apache.org/jira/browse/NIFI-5174
>> > > There has been some progress very recently.
>> > >
>> > >
>> > >
>> > > On June 7, 2018 at 09:40:50, Sivaprasanna (sivaprasanna246@gmail.com)
>> > > wrote:
>> > >
>> > > Nope. Not yet. AFAIK, there is a Jira to support Java 9.
>> > >
>> > > On Thu, Jun 7, 2018 at 7:09 PM, kirilzilla <kirilm@me.com> wrote:
>> > >
>> > > > does nifi support java 10 ? or even java 9 ?
>> > > >
>> > > >
>> > > >
>> > > > --
>> > > > Sent from: http://apache-nifi-developer-list.39713.n7.nabble.com/
>> > > >
>> > >
>> >
>>

Mime
View raw message